program Measure_Online;

uses
  ShareMem,
  Forms,
  MainFrm in '..\Forms\MainFrm.pas' {MainForm},
  ProjectManagerFme in '..\Frames\ProjectManagerFme.pas' {ProjectManagerFrame: TFrame},
  UtilMethods in '..\Units\UtilMethods.pas',
  ProjectManagerDm in '..\DataModules\ProjectManagerDm.pas' {ProjectManagerData: TDataModule},
  Connections in '..\Units\Connections.pas',
  TransFile in '..\Units\TransFile.pas',
  ZhAPI in '..\Units\ZhAPI.pas',
  CompactDB in '..\Units\CompactDB.pas',
  OpenProjectManager in '..\Units\OpenProjectManager.pas',
  ProjectData in '..\Units\ProjectData.pas',
  UpdateDataBase in '..\Units\UpdateDataBase.pas',
  DataBaseTables in '..\Units\DataBaseTables.pas',
  ConfigDoc in '..\Units\ConfigDoc.pas',
  SupportUnit in '..\Units\SupportUnit.pas',
  StandardLibs in '..\Units\StandardLibs.pas',
  StandardLib in '..\Units\StandardLib.pas',
  NewProjectFrm in '..\Forms\NewProjectFrm.pas' {NewProjectForm},
  ProjectFme in '..\Frames\ProjectFme.pas' {ProjectFrame: TFrame},
  StandardBillsDm in '..\DataModules\StandardBillsDm.pas' {StandardBillsData: TDataModule},
  StandardBillsFme in '..\Frames\StandardBillsFme.pas' {StandardBillsFrame: TFrame},
  StandardLibsFme in '..\Frames\StandardLibsFme.pas' {StandardLibsFrame: TFrame},
  BillsDm in '..\DataModules\BillsDm.pas' {BillsData: TDataModule},
  BillsFme in '..\Frames\BillsFme.pas' {BillsFrame: TFrame},
  Globals in '..\Units\Globals.pas',
  StageDm in '..\DataModules\StageDm.pas' {StageData: TDataModule},
  ExcelImport in '..\Units\ExcelImport.pas',
  CacheTree in '..\Units\CacheTree.pas',
  MCacheTree in '..\Units\MCacheTree.pas',
  ProjectPropertiesFrm in '..\Forms\ProjectPropertiesFrm.pas' {ProjectPropertiesForm},
  ProjectProperty in '..\Units\ProjectProperty.pas',
  FormulaCalc in '..\Units\FormulaCalc.pas',
  BillsCommand in '..\Units\BillsCommand.pas',
  PhaseData in '..\Units\PhaseData.pas',
  PhaseProperty in '..\Units\PhaseProperty.pas',
  BillsClipboard in '..\Units\BillsClipboard.pas',
  BillsTree in '..\Units\BillsTree.pas',
  LedgerHistoryDm in '..\DataModules\LedgerHistoryDm.pas' {LedgerHistoryData: TDataModule},
  LedgerCompareFme in '..\Frames\LedgerCompareFme.pas' {LedgerCompareFrame: TFrame},
  LedgerCompareDm in '..\DataModules\LedgerCompareDm.pas' {LedgerCompareData: TDataModule},
  ProjectCommands in '..\Units\ProjectCommands.pas',
  PhaseCompareDm in '..\DataModules\PhaseCompareDm.pas' {PhaseCompareData: TDataModule},
  PhaseCompareFme in '..\Frames\PhaseCompareFme.pas' {PhaseCompareFrame: TFrame},
  OptionFrm in '..\Forms\OptionFrm.pas' {OptionForm},
  StageCompleteDm in '..\DataModules\StageCompleteDm.pas' {StageCompleteData: TDataModule},
  DealPaymentDm in '..\DataModules\DealPaymentDm.pas' {DealPaymentData: TDataModule},
  DealPaymentFme in '..\Frames\DealPaymentFme.pas' {DealPaymentFrame: TFrame},
  PhasePayDm in '..\DataModules\PhasePayDm.pas' {PhasePayData: TDataModule},
  BillsGatherFme in '..\Frames\BillsGatherFme.pas' {BillsGatherFrame: TFrame},
  BillsGatherDm in '..\DataModules\BillsGatherDm.pas' {BillsGatherData: TDataModule},
  ZJJLFme in '..\Frames\ZJJLFme.pas' {ZJJLFrame: TFrame},
  ZJJLDm in '..\DataModules\ZJJLDm.pas' {ZJJLData: TDataModule},
  BGLFme in '..\Frames\BGLFme.pas' {BGLFrame: TFrame},
  BGLDm in '..\DataModules\BGLDm.pas' {BGLData: TDataModule},
  StaffDm in '..\DataModules\StaffDm.pas' {StaffData: TDataModule},
  ConstUnit in '..\Units\ConstUnit.pas',
  PHPWebDm in '..\DataModules\PHPWebDm.pas' {PHPWeb: TDataModule},
  uLkJSON in '..\Units\uLkJSON.pas',
  MergeTextFrm in '..\Forms\MergeTextFrm.pas' {MergeTextForm},
  LoginFrm in '..\Forms\LoginFrm.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
